List organization accounts
Retrieve the accounts immediately attached to a specific organization. Accounts attached to sub-organizations are not included. (Currently in Public Beta - see https://api-docs.dnstools.im/fundamentals/organizations/)
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Query Parameters
Whether to calculate and return the exact result_info.total_size for cursor pagination. Defaults to true. When false, total_size is omitted. page_size and include_total may change between pages; next_page_token remains the authoritative continuation signal. Legacy page/per_page requests always calculate total_count.
List organization accounts
curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/accounts \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY"{
"errors": [],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "id",
"created_on": "2019-12-27T18:11:19.117Z",
"name": "name",
"settings": {
"abuse_contact_email": "abuse_contact_email",
"access_approval_expiry": "2019-12-27T18:11:19.117Z",
"api_access_enabled": true,
"default_nameservers": "default_nameservers",
"enforce_twofactor": true,
"use_account_custom_ns_by_default": true
},
"type": "standard",
"tags": {
"foo": "string"
}
}
],
"result_info": {
"next_page_token": "next_page_token",
"total_size": 0
},
"success": true
}Returns Examples
{
"errors": [],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "id",
"created_on": "2019-12-27T18:11:19.117Z",
"name": "name",
"settings": {
"abuse_contact_email": "abuse_contact_email",
"access_approval_expiry": "2019-12-27T18:11:19.117Z",
"api_access_enabled": true,
"default_nameservers": "default_nameservers",
"enforce_twofactor": true,
"use_account_custom_ns_by_default": true
},
"type": "standard",
"tags": {
"foo": "string"
}
}
],
"result_info": {
"next_page_token": "next_page_token",
"total_size": 0
},
"success": true
}